﻿-- Korean localization file for koKR.
local AceLocale = LibStub:GetLibrary("AceLocale-3.0")
local L = AceLocale:NewLocale("SpeakinSpell", "koKR", false)
if not L then return end


-------------------------------------------------------------------------------
-- THE NAME OF THIS ADDON
-------------------------------------------------------------------------------


-- the name SpeakinSpell is a reference to a children's toy from the early 1980s
-- see http://en.wikipedia.org/wiki/Speak_&_Spell_(game) for details
L["SpeakinSpell"] = "SpeakinSpell"


-------------------------------------------------------------------------------
-- SLASH COMMANDS (do not include the leading /)
-------------------------------------------------------------------------------


-- "/SpeakinSpell" prefix and abbreviations
L["/SpeakinSpell"] = "마법알림"
L["/speakinspell"] = "마법알림"
L["/SS"] = "마법알림"
L["/ss"] = "마법알림"

-- parameters for "/ss something"
L["/options"]	= "옵션"		-- /ss options
L["/reset"]		= "초기화"		-- /ss reset
L["/help"]		= "도움말"		-- /ss help
L["/create"]	= "만들기"		-- /ss create
L["/messages"]	= "메세지"		-- /ss messages
L["/macro"]		= "매크로"		-- /ss macro

L["/advertise"]	= "광고"		-- /ss advertise
L["/ad /w"]		= "광고 /귓"	-- used in /ss ad /w playername (if playername is omitted, applies to selected target) -- Korean change (ommit one blank and change /ㅈ to /귓)
L["/ad /s"]		= "광고 /말"	-- /ss ad /s -- Korean change (change /ㄴ to /말 for /say)
L["/ad /p"]		= "광고 /파"		-- /ss ad /p -- Korean change (change /ㅔ to /파 for /party)
L["/ad /ra"]	= "광고 /공"	-- /ss ad /ra


-------------------------------------------------------------------------------
-- YES AND NO
-------------------------------------------------------------------------------
-- These strings are used as buttons in popup message boxes


L["Yes"]= "예"
L["No"] = "아니오"
L["OK"] = "확인"


-------------------------------------------------------------------------------
-- CHAT CHANNEL NAMES
-------------------------------------------------------------------------------
-- These channel names are displayed as drop-down list options in the GUI


L["SAY"]			= "일반 (/s)"
L["PARTY"]			= "파티 (/p)"
L["RAID"]			= "공격대 (/ra)"
L["BATTLEGROUND"]	= "전장 (/bg)"
L["EMOTE"]			= "감정표현 (/em)"
L["YELL"]			= "외침 (/y)"
L["RAID_WARNING"]	= "공격대 경보 (/rw)"
L["Silent"]			= "침묵" -- messages are disabled
L["GUILD"]			= "Guild (/g)"
L["SPEAKINSPELL CHANNEL"]	= "Self-Chat (SpeakinSpell:)"


-------------------------------------------------------------------------------
-- SUBSTITUTION TABLE
-------------------------------------------------------------------------------
-- These are the substitution variables which may be used in random speeches


L["<target>"] = "대상" -- the target's name
L["<focus>"] = "주시대상" -- the focus target's name
L["<targetclass>"] = "대상직업" -- the target's name
L["<targetrace>"] = "대상종족" -- the target's name
L["<player>"] = "플레이어" -- the player's name
L["<caster>"] = "시전자" -- the player's name
L["<spellname>"] = "마법이름" -- the name of a spell
L["<spellrank>"] = "마법등급" -- the rank of a spell
L["<spelllink>"] = "마법링크" -- link the spell in chat like shift-click
L["<pet>"] = "소환수" -- the name of the player's pet
L["<TM>"] ="TM" -- becomes the "trademark" symbol
L["<R>"] = "R" -- becomes the "registered trademark" symbol
L["<C>"] = "C" -- becomes the "Copyright (C)" symbol


-------------------------------------------------------------------------------
-- Event Types
-------------------------------------------------------------------------------


-- the types of events, as they appear in the list of detected events

-- label of the list under Message Settings
L["Select a Spell"] = "마법 또는 다른 이벤트를 선택하시오"
L["Select a Spell TOOLTIP"] = "마법에 쓰여질 무작위 문구들을 설정하려면 목록에서 마법을 선택하시오."
-- different tooltip used for the same kind of list under Create New
L["Select a Spell TOOLTIP - Create New"] = [[이것은 최근에 당신이 시전했거나 받았던 마법, 능력, 아이템 기타 등등 중 SpeakinSpell이 감지한 것들의 목록입니다.]]

-- prefixes used in the list of spells
L.EVENTTYPES = {
	IN_SPELL_LIST = {
		["EVENT"]					= "시스템 이벤트: ",-- ..eventname
		["MACRO"]					= "사용자 작성 이벤트: /마법알림 ",-- ..input ==> "User Macro Event: /ss macro something"
		["UNIT_SPELLCAST_SENT"]		= "자신의 마법 시전: ",--..spellname (rank) ==> Improved
		["SPELL_AURA_APPLIED_BUFF"]	= "자신의 마법 시전으로 인한 버프: ",--..spellname ==> Improved
		["SPELL_AURA_APPLIED_DEBUFF"] = "자신의 마법 시전으로 인한 디버프: ",--..spellname ==> Improved
		["SPELL_AURA_APPLIED_BUFF_FOREIGN"]	= "타인의 마법 시전으로 인한 버프: ",--..spellname ==> Improved
		["SPELL_AURA_APPLIED_DEBUFF_FOREIGN"]= "타인의 마법 시전으로 인한 디버프: ",--..spellname ==> Improved
	},

	AS_FILTERS = {
		["ALL"]						= "_ 모든 형태의 이벤트를 보여줌 _",
		["EVENT"]					= "시스템 이벤트",
		["MACRO"]					= "/마법알림 매크로", -- Korean Change "macro" --> "매크로"
		["UNIT_SPELLCAST_SENT"]		= "자신이 시전한 마법과 능력들 (아이템 포함)", --does this include items? ==> Yes..I include and improve now..Sorry..I Omitted..==> Improved
		["SPELL_AURA_APPLIED_BUFF"]	= "자신의 버프들 (지속효과 포함)", -- ==> Improved
		["SPELL_AURA_APPLIED_DEBUFF"]= "자신의 디버프들", -- ==> Improved
		["SPELL_AURA_APPLIED_BUFF_FOREIGN"]	= "타인으로부터의 버프들 (토템 포함)",--..spellname ==> Improved
		["SPELL_AURA_APPLIED_DEBUFF_FOREIGN"]= "타인으로부터의 디버프들",--..spellname ==> Improved
	},
}

-- The names of "EVENT" type events themselves
L.EVENTNAMES = {
	["SpeakinSpell Loaded"] = "SpeakingSpell 메모리 탑재", -- Add Korean Translation Complete ==> None is Proper Korean Expression for "Loaded". So add word "memory"(Korean word "메모리"). "메모리 탑재" is similar expression "Loaded"
	["Entering Combat"] = "전투 시작", -- Add Korean Translation Complete (v3.1.3.05)
	["Exiting Combat"] = "전투 종료", -- Add Korean Translation Complete (v3.1.3.05)
	["Zone Changed"]		= "Changed Zone",
	["Subzone Changed"]		= "Changed Sub-Zone",
}

-------------------------------------------------------------------------------
-- OPTIONS GUI LABELS AND TOOLTIPS
-------------------------------------------------------------------------------


L["General Settings"] = "일반 설정"
L["General Settings TOOLTIP"] = "SpeakinSpell에 대한 일반 설정"

L["Message Settings"] = "마법, 능력, 아이템, 진행효과, 사용자 매크로, 그리고 다른 이벤트들에 대한 메세지 설정"

L["Message Settings TITLE"] = "메세지 설정"
L["Create New..."] = "새로 만들기..."
L["Trade"] = "거래"
L["SpeakinSpell Help"] = "SpeakinSpell 도움말"

L["Create New... TOOLTIP"] = "새로운 마법, 능력, 효과, 매크로, 또는 다른 이벤트를 위한 설정을 만들려면 이곳을 클릭하시오"

L["Disable announcements for this spell"] = "이 마법에 대한 알림 비활성화"
L["Disable announcements for this spell TOOLTIP"] = "선택한 마법 또는 이벤트 알림을 비활성화 한다"

L["Enable All Messages"] = "SpeakinSpell 활성화"
L["Enable All Messages TOOLTIP"] = "SpeakinSpell에 설정된 모든 문구를 사용하지 않으려면 이 옵션을 체크표시를 해제하시오"

L["Report detected spell events"] = "감지된 마법, 능력, 지속효과에 대한 보고"
L["Report detected spell events TOOLTIP"] = [[당신 스스로 또는 타인에 의한 감지된 모든 이벤트를 볼 수 있도록 하기 위해서는 이 옵션을 활성화 시키시오.  이것은 당신이 시전하거나 사용한 어떠한 마법, 능력, 아이템, 또는 자동획득효과(예를 들어, 장신구 또는 특성)도 전부 포함한다.  이것은 아이템에 의해 시전된 마법이름은 일반적으로 아이템이름 자체가 아니기 때문에 이를 알아내는데 유용할 수 있다.]]
L["Show Debugging Messages (verbose)"] = "디버깅 메세지 표시 (장문)"
L["Show Debugging Messages TOOLTIP"] = [[위의 "감지된 마법, 능력, 지속효과에 대한 보고" 보다 훨씬 더 많은 정보를 보고 싶으면 이 옵션을 활성화 하시오 ]]

L["Delete Spell"] = "마법 삭제"
L["Delete Spell TOOLTIP"] = "선택된 마법을 목록에서 삭제합니다"

L["Select the channels to use when announcing this spell when"] = "... 에 있을때 이 마법알림에 사용할 채널을 선택하시오."

L["In a Battleground"] = "전장"
L["In a Battleground TOOLTIP"] = "전장에 있는 동안 이 마법알림을 위해 어떤 채널을 사용할지 선택하시오"

L["In a Raid"] = "공격대"

L["In a Raid TOOLTIP"] = "공격대에 있는 동안 이 마법알림을 위해 어떤 채널을 사용할지 선택하시오"

L["In a Party"] = "파티"
L["In a Party TOOLTIP"] = "파티에 있는 동안 이 마법알림을 위해 어떤 채널을 사용할지 선택하시오"

L["By yourself"] = "단독플레이"
L["By yourself TOOLTIP"] = "단독플레이를 하는 동안 이 마법알림을 위해 어떤 채널을 사용할지 선택하시오"

L["In Arena"] = "투기장"
L["In Arena TOOLTIP"] = "투기장에 있는 동안 이 마법알림을 위해 어떤 채널을 사용할지 선택하시오"

L["In Wintergrasp"] = "In Wintergrasp"
L["In Wintergrasp TOOLTIP"] = [[Select which channel to use for this spell while playing in a Wintergrasp battle

This scenario only applies when a WG battle is in progress - raid, party, or solo options will apply instead when a battle is not currently in progress.

Please note that detecting whether you are in Wintergrasp relies on translated text, so if SpeakinSpell has not yet been translated into your language, then Wintergrasp battles will use the Raid scenario options]]

L["Whisper the message to your target"] = "대상에게 메세지를 귓속말로 보내기"
L["Whisper the message to your target TOOLTIP"] = [[
당신의 마법대상에게 귓속말로 메세지를 전달하도록 활성화 한다. 당신 자신에게 마법을 사용할 경우에는 대상이 선택되어있다 할지라도 귓속말을 보내지 않는다.
]]

L["How often do you want to announce this spell?"] = "이 마법에 대한 문구를 얼마나 자주 알리고 싶은가?"
L["How often TOOLTIP"] = [[
선택된 확률를 기반으로 선택마법을 사용할때 문구 알림 확률을 얻습니다. 예를 들어 100%로 설정하면 항상 알리고, 0%로 설정하면 한번도 알리지 않습니다.
]]

L["Cooldown on announcements for this spell"] = "마법에 대한 알림 쿨타임 (초)"
L["Cooldown TOOLTIP"] = [[
SpeakinSpell이 해당 마법에 대해서 너무 자주 채팅상에 알리는 것을 막아줍니다. 설정된 쿨타임이 지난 이후에만 해당 마법을 다시 알릴 것입니다.]]

L["NEW SPELL INSTRUCTIONS"] = [[
아래 목록은 SpeakinSpell이 최근에 감지한 모든 마법, 능력, 그리고 다른 효과들을 보여줍니다.

당신이 채팅상에 알리고 싶어하는 것을 선택하고 선택된 이벤트 만들기 버튼을 클릭하시오.

만일 당신이 찾는 마법이나 이벤트가 목록에 없는 경우, 그것을 시전하거나, 그 효과를 발생하게 하고, 이 창을 다시 여시오.

목록이 너무 크면, "/console reloadui"를 입력하여 목록들을 초기화 할 수 있습니다.
]]

L["Select a Category of Events"] = "이벤트의 종류를 선택하시오." -- Korean Translation (add v3.1.3.03)
L["Select a Category of Events TOOLTIP"] = "아래 목록에서 선택된 이벤트 종류만을 보여줍니다." -- Korean Translation (add v3.1.3.03)

L["Create Selected Event"] = "선택된 이벤트 만들기"
L["Create Selected Event TOOLTIP"] = "위에서 당신이 채팅상에서 알리고 싶은 새로은 마법 또는 이벤트를 선택하고 이 버튼을 누르시오"

L["Enter a new Spell Name"] = "Enter a new Spell Name" 
L["Enter a new Spell Name TOOLTIP"] = [[Type the name of a spell, ability, item's spell effect, or proc effect that you want to trigger random speeches.]]

L["Cancel New Spell"] = "Cancel New Spell"
L["Cancel New Spell TOOLTIP"] = "Cancel entering the new spell and return to the previous interface."

L["ADD FIRST SPELL INSTRUCTIONS"] = [[You do not have any messages configured for any of this character's spells or abilities

Click "Add Spell" to get started]]

L["Random Speech i"] = "무작위 문구 %d" -- the %d will be replaced with a number 1 to 50
L["Random Speech i TOOLTIP"] = "여기에 말하고 싶은 재미있는 문구들을 입력하시오"


-------------------------------------------------------------------------------
-- ADDON MESSAGES (not random speeches - these are system/runtime messages)
-------------------------------------------------------------------------------


L["Loaded version %s"] = "탑재된 버전 %s" -- the %s will be replaced with the current SpeakinSpell version number, for example "3.0.3.08" ==> Add Korean Translation Complete
L["Default settings restored"] = "기본 세팅 복구"

-- tooltips on help screen navigation buttons
-- the names of the buttons are the names of the target pages
-- this mouseover tooltip is used for all of them
L["Go to the first help topic"] = "첫번째 도움 주제로 이동"
L["Go to the next help topic"] = "다음 도움 주제로 이동"


L["WARNING: can't execute protected command: %s"] = "경고: 실행 보호 명령어는 할 수 없습니다 : %s" -- Add Korean Translation Complete (v3.1.3.06)

L["(Any Rank)"] = "(Any Rank)"



L["<randomfaction>"] = "randomfaction"
L["<randomtaunt>"] = "randomtaunt"


-- L.RANDOM is a table of of tables of random things you can say in substitution variables
L.RANDOM = {

-- <randomfaction> substitutions
-- This is a list of possible values which can be substituted for <randomfaction>
-- intended for random battlecries... "Feel the wrath of the <randomfaction>!" becomes...
-- "Feel the wrath of the Tauren!" or "Feel the wrath of the Pie!" or "Feel the wrath of the Ladies Undergarments!" 
["randomfaction"] = {
	"Legion",
	"Horde",
	"Fel Horde",
	"Scourge",
	"Alliance",
	"Tauren",
	"Taunka",
	"Ladies' Undergarments",
	"Forsaken",
	"Sindorei",
	"Beer",
	"Pie",
	"Naaru",
	"Lich King",
	"Old Gods",
	"Warchief",
	"Azshara",
	"Grand Alliance",
	"Holy Light",
	"Ancients",
	"King",
	"Defilers",
	"Argent Dawn",
	"Argent Crusade",
	"Kalu'ak",
	"Frenzyheart Tribe",
	"Oracles",
	"Wyrmrest Accord",
	"Kirin Tor",
	"Knights of the Ebon Blade",
	"Valiance Expedition",
	"Silver Covenant",
	"Explorers' League",
	"Warsong Offensive",
	"Hand of Vengeance",
	"Silverwing Sentinels",
	"Taunka",
	"League of Arathor",
	"Stormpike Guard",
	"Warsong Outriders",
	"Frostwolf Clan",
	"Steamwheedle Cartel",
	"Sha'tar",
	"Ashtongue Deathsworn",
	"Cenarion Expedition",
	"Cenarion Circle",
	"Thorium Brotherhood",
	"Wintersaber Trainers",
	"Violet Eye",
	"Silver Hand",
	"Black Dragonflight",
	"Green Dragonflight",
	"Red Dragonflight",
	"Bronze Dragonflight",
	"Infinite Dragonflight",
	"Scarlet Crusade",
	"Syndicate",
	"Zandalar Tribe",
	"Consortium",
	"Mag'har",
	"Aldor",
	"Scryers",
	"Shattered Sun Offensive",
	"Sha'tari Skyguard",
	"Gelkis Clan Centaur",
	"Hydraxian Waterlords",
	"Keepers of Time",
	"Magram Clan Centaur",
	"Warriors of the Night",
	"Dichotomy of good and evil",
	"love of Elune",
	"Ironforge Dwarves",
	"Darnassian Elves",
	"Gnomeregan Exiles",
	"Murkblood",
	"Light",
	"Illidari",
	"Forces of Darkness",
	"Forces of the Light",
	"Friends of the Happy Friendly Helping Time",
},

-- <randomtaunt> substitutions
-- This is a list of possible values which can be substituted for <randomtaunt>
-- intended for random battlecries... "Feel my wrath, <randomtaunt>!" becomes...
-- "Feel my wrath, Punk!" or "Feel my wrath, Be-otch!" or "Feel my wrath, Sweet Cheeks!"
-- also consider "Feel my wrath, you <randomtaunt>!" -> "Feel my wrath, you Son of a hamster!"
["randomtaunt"] = {
	"Punk",
	"Be-otch",
	"Sweet Cheeks",
	"Chicken",
	"Coward",
	"You",
	"Frail piece of chicken dung",
	"Weakling",
	"Son of a hamster",
	--"Whiskey soaked, foaming at the mouth, toilet talking, pea soup spewing, sweating blood, demon breath, Alice Cooper loving punk",
	"Meanie",
	"Meanie-head",
	"Jerk-face",
	"Pudding for brains",
	"Baby",
	"Baby-eater",
	"Tard",
	"N00b",
	"Nub",
	"Git",
	"Self-righteous Git",
	"Evil-doer",
	"Do-gooder",
	"Goody two-shoes",
	"Evil Nasty Meanie-Head",
	"Mean Person",
	"Idiot",
	"Witch",
	"Leroy",
},

}


-- progress messages shown in chat when you click the [Import Default Samples] button
L["Adding new default samples to your saved settings"] = "Adding new default samples to your saved settings"
L["Import complete"] = "Import complete"
--L["(new event - all speeches are new)"] = "(new event - all speeches are new)" -- not currently displayed - it was too much progress info

-- Label and tooltip for a button on the General Settings GUI
L["Import New Default Sample Speeches"] = "Import New Default Sample Speeches"
L["Import New Default Sample Speeches TOOLTIP"] = [[
Merge your current settings with the default sample settings that come with SpeakinSpell.

Your saved settings will be preserved, but new speeches will be added.
]]

-- unlike other substitution variables, this definition needs the wrapping <> in the text to the right of the = sign
L["<newline>"] = "<newline>"

L["<realm>"]		= "realm"
L["<zone>"]			= "zone"
L["<subzone>"]		= "subzone"
L["<playertitle>"]	= "playertitle"

L["Wintergrasp GetZoneText"] = "Wintergrasp" -- the name of the zone exactly as it is returned by the GetZoneText() API


L["Limit once per combat"] = "Limit Once Per Combat"
L["Limit once per combat TOOLTIP"] = [[Do not announce this event more than once until you either leave combat, or enter combat.]]

L["Limit once per target"] = "Limit Once Per <target> Name"
L["Limit once per target TOOLTIP"] = [[Do not announce this event more than once in a row for the same <target> name.

Note that for spells and events that only ever target you, you're name will never change, so this would limit the announcement to once per login session.]]

