﻿-- Author      : RisM
-- Create Date : 5/21/2009 10:56:30 PM

-- English localization file for enUS and enGB.
local AceLocale = LibStub:GetLibrary("AceLocale-3.0")
local HELPFILE = AceLocale:NewLocale("SpeakinSpell_HELPFILE", "enUS", true)
if not HELPFILE then return end

----------------------------------------------------------------------------------------
----------------------------------------------------------------------------------------
-- This text is shown on the table of contents page of the in-game help system
HELPFILE.ROOT = [[
Expand this help library and select a topic below for more information.
]]


----------------------------------------------------------------------------------------
--[[ The format of each page is as follows:
	["Chapter Title"] = "Contents"
--]]

--ATTENTION TRANSLATORS:
--	The complete user's manual in this file is a long and wordy thing covering many topics
--	it is likely to grow and change in many ways and very often as I enhance SpeakinSpell
--	because this is where we fully document how to use each and every feature.
--
--	Because of this problem that the user's manual will change very frequently,
--	I made the programming code very flexible in how this data is used.
--	very flexible.
--
--	Unlike most of Locale-xxXX.lua, you are free to change the complete contents of
--	HELPFILE.PAGES (the following table)
--	including the table keys which are used as chapter titles
--	the contents of each chapter of course
--	the order of the contents
--	and you are also free to change the number of chapters to add, remove, and reorganize
--
--	I want you to be able to completely reorganize this user's manual as you see fit
--	Given that languages and cultures are very different, you may be able to convey the 
--	information better if you organized it differently.
--	You are free to do that and it should work - try it and see.
--	
----------------------------------------------------------------------------------------
HELPFILE.PAGES = {

----------------------------------------------------------------------------------------
["1. About SpeakinSpell"] = [[

Funny and/or Useful, SpeakinSpell will use random speeches in chat to announce when you use spells and other abilities, as well as items, procced effects, other events, and user-defined macros.

Works with all classes. Configurable for many different situations.

Project home page:
http://www.wowace.com/projects/speakinspell/

Curse download page:
http://wow.curse.com/downloads/wow-addons/details/speakinspell.aspx

Please submit any feature requests and bug reports here:
http://www.wowace.com/projects/speakinspell/create-ticket/

Brought to you by Stonarius of Antonidas
and many other important people - please read the credits!
]],


----------------------------------------------------------------------------------------
["2. Basic Instructions"] = [[

How to setup SpeakinSpell in a few easy steps:

1. Login and play your toon for a few minutes. 

2. Activate any abilities, trigger any procced effects, and encounter any other detectable events that you would like SpeakinSpell to announce. 

3. Type "/SpeakinSpell" ("/ss" also works) to access the interface options panel 

4. Click on "Create New..." or type "/ss create" to create settings for a new spell or other event 

5. Select the desired spell or event from the list and click the Create button. You will be taken to the settings page for that spell or event. 

6. Change the settings to your tastes and write as many speeches as you want. Now whenever you cast that spell or encounter that event, SpeakinSpell will say one of your random messages for that event, using the channels and other rules that you defined. 

7. Repeat until you run out of ideas for new announcements to write. 
]],


----------------------------------------------------------------------------------------
["3. Features"] = [[

Can detect a variety of "Events" and automatically announce them in the chat using a random selection from a list of user-defined speeches (some defaults are provided for you as examples). This includes: 
- Spells you cast 
- All other abilities for any class (a warrior's Heroic Strike is also technically considered a "spell") 
- Anything you can equip in your action bar 
- Items 
- Procced effects (buffs that you receive from yourself) 
- Other events (Login, etc) 
- whenever you type "/ss macro something" 

Up to 100 speeches can be entered per spell. 

Each spells' random speeches can be directed to any chat channel you choose 

Supports different channel options for different scenarios: solo, group, raid, BG, and arena. 

Fully configurable through the interface options panel. 

Includes funny default speeches for many spells for all classes 

All of your settings apply only to this character.  All user-defined speeches and other settings are saved separately per character.

Supports many substitution variables such as <player>, <target>, <targetclass>, <targetrace>, and many more.

Never says the same message for a given spell twice in a row (unless you only have 1 message defined for that spell) 

Can be configured to only announce the use of a spell based on a random chance. This is a user-configurable percent chance per spell. This can be useful for roleplaying purposes, or to cut down on the amount of spell-triggered spam you generate in chat. 

Can be configured to use a cooldown on spell announcements for each spell. This can be used to prevent announcing spell casting too often for frequently used spells 

Can be configured to limit event announcements to once per combat and/or once per target.

Can whisper messages to the target of your spell. This can be useful for resurrect style spells, innervate, power infusion, etc. 

When you get compliments on your "macros" use "/ss ad" to tell your friends about SpeakinSpell. Some of the random ads are funny. Yes, it's an addon that spams random text in chat, and it has a feature to spam random text to advertise it's ability to spam random text. "/ss help" in game for more advanced options for using /ss ad. 

Detection of other events such as Login. Type "/ss help" in game for the complete list.

Custom Defined User Macros. Type "/ss macro something" to make SpeakinSpell detect a pseudo spell event called "when I type: /ss macro something" which you can setup to be announced with random speeches. This can be used for randomized battlecries, greetings, farewells, or anything you want to define. 
]],


----------------------------------------------------------------------------------------
["4. Slash Commands"] = [[

/ss - show options
/ss options - show options

/ss help - show this help
/ss create - open the Create New... interface, to create message settings for a new event
/ss messages - open the Message Settings interface to edit your current settings

/ss reset - reset all settings to defaults

/ss ad - tell your friends about this addon (using a default channel)
/ss ad /p - tell your party about this addon (/s or /ra also works)
/ss ad /w stonarius - whisper to your friend Stonarius about this addon

/ss macro <something> - Activate an event called "When I type: /ss macro <something>".  See also "8. Custom Macros"
]],


----------------------------------------------------------------------------------------
["5. Variables"] = [[

Each random message may refer to the player casting the spell, the target of the spell, and several other pieces of information which may be provided for you automatically by SpeakinSpell

Following is a complete list of variables which you may insert in random messages to use this feature.  The angle brackets <> are required.

<player>
- Your name

<playertitle>
- Your current title, for example "the Explorer"

<caster>
- The name of the person or entity casting the spell or effect
- not always the same as <player>

<target>
- The name of the target on whom you are casting the spell.
- As often as possible, this will be the true actual target of your spell (not necessarily your currently selected target)

<targetclass>
- Your target's class, as in "Casting DI on the <targetclass>" becomes "Casting DI on the Priest"

<targetrace>
- Your target's race, as in "Casting DI on the <targetrace>" becomes "Casting DI on the Dwarf"

<focus>
- The name of your focus target (/focus)

<spellname>
- The complete name of the spell that you are casting (the spell's rank is not included)

<spellrank> 
- The rank of the spell. 
- For greater flexibility, parentheses are not included by the substitution, so default usage would be "<spellname> (<spellrank>)" -> "Fishing (Artisan)" or "Arcane Intellect (Rank 2)" 

<spelllink>
- Creates a clickable link to the spell in chat
- Due to a limitation of the WoW LUA API, this only works for spells that are in your own spellbook. If a clickable spell link can't be created, a fake unclickable one is generated like [Replenishment]

<pet>
- The name of your combat pet (not for use with vanity pets)
- Due to a limitation of the WoW LUA API, this substitution does not work when summoning your pet. It only works after your pet has already been summoned.

<TM>
- The trademark symbol, as in Stonarius' Magical Biscuits™

<C>
- The copyright symbol, as in Copyright © 2008

<R>
- The registered trademark symbol, as in Speak & Spell ® is a registered trademark of Texas Instruments (or at least I assume it is)

<randomfaction>
- will become the name of a random faction such as Horde, Alliance, Sindorei, Light, and over 80 more
- "For the glory of the <randomfaction>!" can become "For the glory of the Zandalar Tribe!" or many other random factions
- The list of random factions will include the name of your guild and any of your arena teams

<randomtaunt>
- will become a random insulting name, such as Meanie, Coward, Punk, N00b, and over 20 more
- "Die <randomtaunt>!" can become "Die Nub!" or "Die Son of a Hamster!" or many more

<newline>
- This will split a speech into more than one line of text, so you can say two speeches at the same time
- "For the Horde!<newline>/cheer" will say "For the Horde!" in your selected channel, and then make you do "/cheer" at the same time.

<realm>
- The name of your realm server

<zone>
- The name of your current region, zone, or location, at a high level of the greater area, for example "Dalaran"

<subzone>
- The name of the smaller area you are in within the zone, for example "the Eventide"
- This will match the location shown on your minimap

]],


----------------------------------------------------------------------------------------
["6. Variables - Advanced"] = [[

<target|me>
<target|myself>
<target|___>

Allows specifying alternate text to avoid speaking about yourself in the third person.

This works just like <target> unless that target is yourself, in which case the alternate text after the | is used instead.

For example, to announce the Priest spell Power Word: Shield, one might write a SpeakinSpell speech to say "Don't panic! I have protected <target|myself> from harm!"

When you cast Power Word: Shield on your friend, Stonarius, it comes out as "Don't panic! I have protected Stonarius from harm!"

And when you cast on yourself, it will say "Don't panic! I have protected myself from harm!" instead of using your own name.

<caster|I>
<caster|___>

This works if you are the caster.

]],


----------------------------------------------------------------------------------------
["7. Additional <target> Info"] = [[

Why doesn't it use the correct <target> name sometimes?
What if I'm focus casting?
What if I have the tank targetted but then use Healbot to raid heal someone else?

The WoW interface offers many ways to target and cast spells, only one of which is to select a target, and then cast a spell (on that target by default).  Take a moment to consider the many other ways to cast spells, such as clicking a spell first to get a special cursor, and then clicking on a target player or mob, or using focused casting (/focus), or macros, or other addons to target and cast your spells and abilities.

SpeakinSpell will use the actual true target of your spell as often as possible for providing your <target> name, just like using %t in a macro that you build in the default UI, which is what you would naturally expect.

However, in some cases, the spell targetting information is not provided by Blizzard's WoW LUA API when it notifies SpeakinSpell that a spell has been cast.  The most common of these cases include casting spells on dead players who released their spirits (i.e. resurrection), and non-targetable spells which are self-cast only (i.e. a Warrior's Shield Wall).

In these cases, SpeakinSpell has to make its best guess.  It will try to use a target name from the following sources (in this order):

1) the target name provided with the spell casting event notification (if available, this will be the true spell target)
2) else will try to get your currently selected target, if you have one selected (UnitName("target") API)
3) else will try to get your focus target's name, if you have a focus set (UnitName("focus") API)
4) else it will assume self-cast and use your own name (UnitName("player") API)

Chances are pretty good that this method will retrieve the correct name of the target of your spell, but it's not guaranteed because of the variety of ways to cast spells in WoW.

If you are working with non-targettable spells, or certain spells which are simply bugged by Blizzard, then you should use <target> with care, and consider alternative substitutions for <caster>, <player>, and <focus> may be helpful for making your speeches come out right.

This limitation also applies to <targetrace> and <targetclass>.
]],


----------------------------------------------------------------------------------------
["8. Custom Macros"] = [[

You can use SpeakinSpell to yell out random battle cries at the click of a button, or greetings, or farewells, or a list of jokes you wrote, or anything you want.

A SpeakinSpell Custom Macro is a kind of event which can be announced in the chat using a random speech just like any spell, ability, or other detected event.

You can create and use custom macros by typing:
/ss macro anything I want to call my macro

If this is the first time you've entered this particular macro, then SpeakinSpell will prompt you to create new message settings for this event.

If you already created message settings for the event "When I type: /ss macro something" then typing "/ss macro something" will trigger that event and speak one of your messages, just like a spell event.

You can put "/ss macro something" in a macro (/m) with or without any other macro commands
]],


----------------------------------------------------------------------------------------
["9. Other Events"] = [[

SpeakinSpell can also detect other events.  These will show up in the list under the Create New... interface (/ss create)

"System Event: SpeakinSpell Loaded"
This pseudo spell event is detected at login or whenever you reload your UI.

"System Event: Entering Combat"
"System Event: Exiting Combat"
Theses two events are detected whenever you enter or exit the state of being "in combat" technically based on the WoW LUA API events PLAYER_REGEN_ENABLED and PLAYER_REGEN_DISABLED.

"System Event: Changed Zone"
"System Event: Changed Sub-Zone"
These two events are detected as you move around the world map.
The Zone is the larger map region.  The Sub-Zone name is the smaller area, and what is usually displayed on your minimap.
This applies to entering and exiting instances
]],


----------------------------------------------------------------------------------------
["10. Emotes"] = [[
If you select Emote as a channel in the drop-down list, that represents the emote channel, which is equivalent to typing "/e makes strange gestures"

SpeakinSpell also supports built-in emotes and other slash commands that you may enter in any speech message that you write for any spell or other event under the message settings (type "/ss messages" then scroll down).

This includes but is not limited to
/roar
/r
/t playername
/y
/g
/2
/ss macro something
other addon commands
other chat channels
other emotes

Due to a limitation imposed by Blizzard, you can't use this feature to execute /cast and some other secure commands, because that could potentially be used for botting.  SpeakinSpell will show you a warning if you attempt to do this.
]],


----------------------------------------------------------------------------------------
["11. Change History"] = [[

See \Interface\Addons\SpeakinSpell\ChangeLog.txt for complete version history at the major feature level

Consult the changes documented on the website for more detailed change history at the code file level.
Click on "Changes" at the following link:
http://wow.curse.com/downloads/wow-addons/details/speakinspell.aspx
]],


----------------------------------------------------------------------------------------
["12. Version Number"] = [[

How to Interpret the Version Number

The SpeakinSpell version number is composed of the WoW client version number that SpeakinSpell was built and tested against, followed by an incremental SpeakinSpell version number

For example SpeakinSpell version 3.0.3.05 was built against WoW client version 3.0.3, and is SpeakinSpell release 5 against that version of WoW

When WoW 3.1.0 comes out, the next SpeakinSpell release will be SpeakinSpell v3.1.0.01
]],


----------------------------------------------------------------------------------------
["13. Non-English Game Clients"] = [[

How to Setup SpeakinSpell in Any Language

If SpeakinSpell has not yet been localized into your native language, don't worry, it can still work for you. 

The core design concepts in SpeakinSpell which enable it to work on any spell for any class also enable it to work in any non-English version of the WoW game client. The slash commands and labels in the options interface will of course appear in English, as well as the default example spell settings and random speeches. However, the core functionality of detecting user-selected spells and events, and announcing them with user-defined speeches, will continue to function in any language. 

]],


----------------------------------------------------------------------------------------
["14. Origin Story"] = [[

The Origins of SpeakinSpell
(or... Lame Story of a Thanksgiving Dream)


The name SpeakinSpell is a play on a common mode of speech in the American Midwest, also commonly used by the Dwarves of Azeroth, where we tend to drop the 'g' from words ending in "ing" and say Speakin' instead of Speaking.  So a Speakin' Spell is a spell that speaks.

SpeakinSpell is also intended to be a reference to an educational children's toy that I grew up with in the early 1980s.

http://en.wikipedia.org/wiki/Speak_&_Spell_(game)

SpeakinSpell was written entirely from scratch using Ace3 libraries and tutorials that I found online, and following some examples of code fragments and addon architecture concepts from Titan, Omen, and Recount. (all addons that I highly respect)

It was inspired by class-specific addons like Cryolysis for mages or Necrosis for warlocks.  The author's main character is a mage (Stonarius of Antonidas) and I, the author, quite enjoyed the humor of using the random speeches feature of Cryolisis2, particularly for announcing Ritual of Refreshment using my own customized random speeches, most of which were inspired by the advertising language I found on food boxes in my kitchen (for example a box of cereal that said "It's Cinnamontastic!™".  Seriously, I kid you not, they trademarked the word Cinnamontastic LOL)

Unfortunately, Cryolisis2 broke down when WoW 3.0 was released, and I was disappointed that the random speeches feature was not planned to be restored by the new author in the updated rewrite of Cryolysis3.  Something had to be done about that...

I also preferred to write my own customized random speeches for Cryolysis2, but the only way I had to do that was to edit LUA files, where my changes would always be lost whenever I installed a new updated version of the addon, which would of course overwrite the LUA files and destroy my changes.

So I dreamed of an in-game interface to edit the speeches, in a way that they would be saved in the SavedVariables files where they would be safe from changes to the supporting LUA code (which are necessary to keep addons running from patch to patch), so that future patches would not destroy the custom speeches that I had spent hours writing into the wittiest possible things I could think of to say about the spells that I was casting.

I also found (with Cryolisis2) that while Polymorph announcements could be nice in a 5-man group, they became quite annoying in 25-man raids when resheeping the same mob 20 times in a row throughout the same combat, in which situations I was often asked to turn it off.  Finding that a bit of a hassle to change the settings every time I joined or left a raid, I dreamed of having that logic built into my spell-speaking addon.

I dreamed about making that addon for a long time, maybe almost a year, but dreaded facing the learning curve.  Even though I have 10 years XP in C++, learning to program in LUA is like relearning how to play paladin after the 3.0 patch, and I just didn't feel like tackling that.  But then one day I randomly thought of the Speak & Spell toy, and thus the addon name Speakin' Spell, and thought "OK, that seals it, now I absolutley MUST make that addon" and the next day began the long weekend of Thanksgiving 2008, giving me ample time...

And so SpeakinSpell was born.

Thank you for using SpeakinSpell.  It's Mannabiscuitalicious!™ :P

er... ummm... compatible with WotLK and level 80 now... so uh...

Thank you for using SpeakinSpell.  It's Manastrudeltastic!™ :P
]],


----------------------------------------------------------------------------------------
["15. Credits"] = [[
SpeakinSpell was created by...
Stonarius of Antonidas 

Primary Beta Testing, Arena Team Pwnage, Key Grip...
Meneldill

Translators who help me in so many other ways...
leXin for the German deDE
troth75 for the Korean koKR

Many of the default speeches were blatantly stolen from...
- Cryolysis2
- Necrosis
- LunarSphere
- Ultimate Warcraft Battlecry Generator

Thanks for the open license guys!  I hope you like what I did with it.

Special thanks to the authors of these addons that I use as a model for how addons should be made...
- Titan
- Omen
- Recount
- Healbot 
- the WowAce libs

Thank you to the community on the wowace forums for much appreciated LUA coding help. 

Thanks to Blizzard Entertainment for this great game! ... hire me??

No animals were harmed in the making of this addon.

... Well, the hunter popped a sheep with his aoe, but I resheeped with my /cast [target=focus] macro, and said "Baaah! sheeped again <target>?!" and it was all good...
]],

} -- end HELPFILE.PAGES


--ATTENTION TRANSLATORS:
--	You may specify this list in any order you choose.
--	This table must list all of the chapters that you defined above
--	any unlisted chapters that you wrote above will not be displayed in-game
--	any incorrect chapter titles in this list will cause LUA errors in-game
--	each chapter title listed here must exactly match the table keys used for each chapter title above
--	table keys are the part between the brackets [ ]
HELPFILE.PAGEORDER = {
	[1] = "1. About SpeakinSpell",
	[2] = "2. Basic Instructions",
	[3] = "3. Features",
	[4] = "4. Slash Commands",
	[5] = "5. Variables",
	[6] = "6. Variables - Advanced",
	[7] = "7. Additional <target> Info",
	[8] = "8. Custom Macros",
	[9] = "9. Other Events",
	[10] = "10. Emotes",
	[11] = "11. Change History",
	[12] = "12. Version Number",
	[13] = "13. Non-English Game Clients",
	[14] = "14. Origin Story",
	[15] = "15. Credits",
}

--ATTENTION TRANSLATORS:
-- When the user types /ss help, or any invalid /ss command
-- the interface options window will be opened to display this chapter of the user's manual defined above
-- the name of the chapter must exactly match the name of the table key specified between the brackets []
-- for example, in English the table above specifies ["4. Slash Commands"] = [[ ... ]], so we put the following here:
HELPFILE.SLASH_COMMANDS = "4. Slash Commands"

